body {
    font-family: 'Montserrat', sans-serif;
    color: #20365e;
    background-color: #f5f5f5;
    margin: 0;
    padding: 0;
	font-size: 1rem;
	  line-height: 1.4;
}

header {
    background-color: #20365e;
    color: white;
    padding: 1em;
    position: fixed;
    text-align: center;
    width: 100%;
    top: 0;
    z-index: 1000;
}

.banner {
    width: 100%;
    height: auto;
}

.header-link {
    color: inherit;
    text-decoration: none;
}

nav ul {
    list-style-type: none;
    padding: 0;
}
nav ul li a.active {
    color: #1f9da7;
}
nav ul li {
    display: inline;
    margin-right: 1em;
}

nav ul li a {
    color: #ffffff;
    text-decoration: none;
}

nav ul li a:hover {
    color: #6aafe0;
}

nav ul li a:active {
    color: #4682b4; 
}

nav .menu-toggle {
    display: none;
}
/* Dropdown */
nav ul li.dropdown {
    position: relative;
}

nav ul li.dropdown .submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    list-style: none;
    margin: 0;
	 top: calc(100% + 0.4em);
    padding: 0;
    background: #4682b4;
    min-width: 180px;
	text-align: left;
}

nav ul li.dropdown:hover .submenu {
    display: block;
}

nav ul li.dropdown .submenu li {
    display: block;
    margin: 0;
}

nav ul li.dropdown .submenu li a {
    display: block;
    padding: 10px 5px;
    color: white;
}


/* zone invisible qui évite la disparition pendant la descente de souris */
nav ul li.dropdown .submenu::before {
    content: "";
    position: absolute;
    top: -0.4em;
    left: 0;
    width: 120%;
    height: 8px;
}

nav ul li.dropdown:hover .submenu {
    display: block;
}

nav ul li.dropdown .submenu li {
    display: block;
    margin: 0;
}

nav ul li.dropdown .submenu li a {
    display: block;
    padding: 10px 15px;
    color: white;
}

html {
    scroll-behavior: smooth;
	scroll-padding-top: 7em; 
}

main {
    margin-top: 10em; 
    padding: 2em;
    padding-top: 5em;
}

section {
    margin-bottom: 7em; 
    padding: 5em;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
	text-align: justify;
}

#text-description {
	display: flex;
	flex-flow: row wrap;
    gap: 0em;
	}

.content {
    display: flex;
    align-items: flex-start;
    gap: 3em;
}


.content img {
    max-width: 200px;
	max-height: 200px;
    border-radius: 50%;
    margin: 1em 1em 2em 0em; 
    width: 100%; 
	height: 100%;
    object-fit: cover; 
}

#awards-img, #these-img, #conf-img {
    max-width: 200px;
	max-height: 150px;
    border-radius: 0%;
    margin: 1em 1em 1em 0em; 
    width: 100%; 
	height: 100%;
    object-fit: cover; 
}

.team-banner { 
	width: 50%; 
	height: auto; 
	max-width: 100%; 
	display: block;
	margin: 0 auto; 
}

.column {
    flex: 1;
}

h1 {
    font-size: 2rem;
}


h2 {
    color: #6aafe0;
    font-size: 1.7rem;
}

h3 {
    font-size: 1.2rem;
	color: #20365e;
}

footer {
    background-color: #20365e;
    color: white;
    text-align: center;
    padding: 0em 1em 1em 1em;
    bottom: 0;
	font-size: 0.8rem;
}


.logos {
    display: flex;
    justify-content: center;
    align-items: center; 
    gap: 20px;
    margin-bottom: 1em;
}


.logos img {
    width: auto;
	padding: 1.3vw 0.7vw 0.2vw 0.7vw ;
}

.uclouvain-logo {
    max-height: 3.7vw;
}

.lourim-logo {
    max-height: 5vw;
}


/* Media queries pour ajuster les tailles des logos sur les petits écrans */
@media (max-width: 600px) {
    .uclouvain-logo {
        max-width: 30vw;
    }

    .lourim-logo {
        max-width: 40vw; 
    }
}

#more-info-btn, #past-projects-btn, #alumni-btn{
    background-color: #6aafe0;
    color: white;
    border: none;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 1.2rem;
    margin: 1.5em 0em;
    cursor: pointer;
    border-radius: 12px;
    transition: background-color 0.3s ease;
}

/* #alumni-btn {
	background-color: transparent;
    border: none;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    margin: 1.5em auto;
    cursor: pointer;
    border-radius: 12px;
} 
#alumni-btn:hover {
    color: #6aafe0;
}

#alumni {
	display: none; 
	margin-top: 1em; 
}
*/
#more-info-btn:hover {
    background-color: #2C6C9C;
}

#past-projects-btn:hover {
    background-color: #2C6C9C;
}

#alumni-btn:hover {
    background-color: #2C6C9C;
}



#past-projects-btn { 
	display: block;
	   font-size: 1.2rem;
} 

#past-projects { 
	display: none; 
	margin-top: 1em; 
}

.modal {
    display: none; 
    position: fixed;
    z-index: 1001;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5); 
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    border-radius: 8px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Styles pour les onglets de la modal */
.tabs {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

.tablinks {
    background-color: #f1f1f1;
    color: #20365e;
    padding: 10px 20px;
    margin: 0 5px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 8px;
}

.tablinks:hover {
    background-color: #ddd;
}

.tablinks.active {
    background-color: #6aafe0;
    color: white;
}

.tabcontent {
    display: none;
    padding: 20px;
    border-top: 1px solid #ccc;
}

.tabcontent.active {
    display: block;
}


/* Media queries pour ajuster les tailles des logos et autres éléments sur les petits écrans */
@media (max-width: 600px) {
    .uclouvain-logo {
        max-width: 30vw;
    }

    .lourim-logo {
        max-width: 40vw; 
    }

    header {
        position: static; /* Le header ne sera pas fixe sur les petits écrans */
    }

    .content img {
        display: none; /* Cache les images sauf les logos */
    }
	
    nav ul {
        display: none; /* Cache le menu de navigation */
    }

    nav .menu-toggle {
        display: block; /* Affiche le bouton du menu hamburger */
        cursor: pointer;
        font-size: 1.5em;
        color: white;
        margin: 1em;
    }

    nav ul li {
        display: block; /* Les éléments de navigation seront en bloc */
        margin-bottom: 1em;
    }
/* Le parent du sous-menu */
nav ul li.dropdown {
    position: relative;
}

/* Sous-menu */
nav ul li .submenu {
    display: none;
    list-style: none;
    margin: 0;
    padding: 0;
}

/* Affichage au survol sur ordinateur */
nav ul li.dropdown:hover > .submenu {
    display: block;
}

/* Style des liens du sous-menu */
nav ul li .submenu li {
    margin: 0;
}

nav ul li .submenu li a {
    display: block;
    padding: 8px 15px;
    text-decoration: none;
}
    h1 {
        font-size: 4vw; /* Ajuste la taille du titre */
    }

    h2 {
        font-size: 1.5rem; /* Ajuste la taille des sous-titres */
    }

    h3 {
        font-size: 1rem; /* Ajuste la taille des sous-sous-titres */
    }

    section {
        padding: 2em; /* Réduit le padding des sections */
    }

    main {
        margin-top: 5em; /* Réduit la marge supérieure du main */
		
    }
#more-info-btn, #past-projects-btn, #alumni-btn {
    margin: 1.5em auto;

}
    }
@media (max-width: 600px) {
    .column {
        flex: 100%; /* Les colonnes prennent toute la largeur */
        margin-bottom: 2em; /* Ajoute un espace entre les colonnes */
    }

    .content {
        flex-direction: column; /* Affiche les éléments en colonne */
    }
	.socials {
    margin-top: 1em;
}
.socials a {
    color: white;
    text-decoration: none;
    margin: 0 0.5em;
}

.socials a:hover {
    color: #ffffff;
}
nav ul li a.active {
    color: #6aafe0;
    font-weight: bold;
}

}


